## org.flexdock.plaf.resources.border
Class RoundedBorderResource.RoundedBorder

    java.lang.Object
      javax.swing.border.AbstractBorder
          org.flexdock.plaf.resources.border.RoundedBorderResource.RoundedBorder

All Implemented Interfaces:
  java.io.Serializable, javax.swing.border.Border

Enclosing class:
  RoundedBorderResource

    public static class RoundedBorderResource.RoundedBorder

extends javax.swing.border.AbstractBorder

See Also:
  Serialized Form

Constructor Summary
`RoundedBorderResource.RoundedBorder(java.awt.Color color)`

Method Summary
`void` `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class javax.swing.border.AbstractBorder
`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundedBorderResource.RoundedBorder

    public RoundedBorderResource.RoundedBorder(java.awt.Color color)

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Specified by:
    `paintBorder` in interface `javax.swing.border.Border`
  Overrides:
    `paintBorder` in class `javax.swing.border.AbstractBorder`